libnvme(2)

NAME
enum nvme_vs - This field indicates the version

SYNOPSIS
enum nvme_vs {
NVME_VS_TER_SHIFT ,
NVME_VS_MNR_SHIFT ,
NVME_VS_MJR_SHIFT ,
NVME_VS_TER_MASK ,
NVME_VS_MNR_MASK ,
NVME_VS_MJR_MASK

};

Constants

NVME_VS_TER_SHIFT
    Shift amount to get the tertiary version

NVME_VS_MNR_SHIFT
    Shift amount to get the minor version

NVME_VS_MJR_SHIFT
    Shift amount to get the major version

NVME_VS_TER_MASK
    Mask to get the tertiary version

NVME_VS_MNR_MASK
    Mask to get the minor version

NVME_VS_MJR_MASK
    Mask to get the major version